<form autocomplete='off' class='main-grid'>
  <nav class='tabs'>
    <a class='item active' data-tab='basics'>
      <i class='fas fa-cogs'></i>
      {{localize 'SWADE.WorldBasics'}}
    </a>
    <a class='item' data-tab='setting-rules'>
      <i class='fas fa-globe'></i>
      {{localize 'SWADE.SettingRules'}}
    </a>
    <a class='item' data-tab='bennies'>
      <i class='fas fa-coins'></i>
      {{localize 'SWADE.Bennies'}}
    </a>
    <a class='item' data-tab='additional-stats'>
      <i class='fas fa-plus-square'></i>
      {{localize 'SWADE.AddStats'}}
    </a>
  </nav>
  <section class='sheet-body'>
    <!-- World Basics -->
    <section class='tab active' data-tab='basics'>
      <!-- Initiative -->
      <fieldset id='initiative'>
        <legend>{{localize 'SWADE.Init'}}</legend>
        <!-- Deck -->
        <div class='form-group'>
          <label>{{localize 'SWADE.Settings.InitCardDeck.Name'}}</label>
          <div class='form-fields'>
            <select name='settingRules.actionDeck'>
              {{#select settingRules.actionDeck}}
                {{selectOptions
                  actionDeckChoices
                  selected=settingRules.actionDeck
                }}
              {{/select}}
            </select>
          </div>
        </div>
        <!-- Discard Pile -->
        <div class='form-group'>
          <label>{{localize 'SWADE.Settings.InitDiscardPile.Name'}}</label>
          <div class='form-fields'>
            <select name='settingRules.actionDeckDiscardPile'>
              {{#select settingRules.actionDeckDiscardPile}}
                {{selectOptions
                  discardPileChoices
                  selected=settingRules.actionDeckDiscardPile
                }}
              {{/select}}
            </select>
          </div>
        </div>
      </fieldset>
      <!-- Characters -->
      <fieldset id='characters'>
        <legend>{{localize 'SWADE.Characters'}}</legend>
        <div class='form-group'>
          <label for='enableWoundPace'>
            {{localize 'SWADE.Settings.EnableWoundPace.Name'}}
          </label>
          <div class='form-fields'>
            <input
              id='enableWoundPace'
              type='checkbox'
              name='settingRules.enableWoundPace'
              data-dtype='Boolean'
              {{checked settingRules.enableWoundPace}}
            />
          </div>
          <p class='notes'>
            {{localize 'SWADE.Settings.EnableWoundPace.Hint'}}
          </p>
        </div>
      </fieldset>
      <!-- Vehicles -->
      <fieldset id='vehicles'>
        <legend>{{localize 'SWADE.Vehicles'}}</legend>
        <div class='form-group'>
          <label for='vehicleMods'>
            {{localize 'SWADE.Settings.VehicleMods.Name'}}
          </label>
          <div class='form-fields'>
            <input
              id='vehicleMods'
              type='checkbox'
              name='settingRules.vehicleMods'
              data-dtype='Boolean'
              {{checked settingRules.vehicleMods}}
            />
          </div>
          <p class='notes'>{{localize 'SWADE.Settings.VehicleMods.Hint'}}</p>
        </div>
        <div class='form-group'>
          <label for='vehicleEdges'>
            {{localize 'SWADE.Settings.VehicleEdges.Name'}}
          </label>
          <div class='form-fields'>
            <input
              id='vehicleEdges'
              type='checkbox'
              name='settingRules.vehicleEdges'
              data-dtype='Boolean'
              {{checked settingRules.vehicleEdges}}
            />
          </div>
          <p class='notes'>{{localize 'SWADE.Settings.VehicleEdges.Hint'}}</p>
        </div>
        <div class='form-group'>
          <label for='vehicleSkills'>
            {{localize 'SWADE.Settings.VehicleSkills.Name'}}
          </label>
          <div class='form-fields'>
            <textarea
              id='vehicleSkills'
              style='resize: none;'
              name='settingRules.vehicleSkills'
              data-dtype='String'
              placeholder='Example: Boating, Driving, Piloting, Riding'
            >{{settingRules.vehicleSkills}}</textarea>
          </div>
          <p class='notes'>{{localize 'SWADE.Settings.VehicleSkills.Hint'}}</p>
        </div>
      </fieldset>
    </section>
    <!-- Setting Rules -->
    <section class='tab' data-tab='setting-rules'>
      <!-- Hard Choices -->
      <div class='form-group'>
        <label for='hardChoices'>
          {{localize 'SWADE.Settings.HardChoices.Name'}}
        </label>
        <div class='form-fields'>
          <input
            id='hardChoices'
            type='checkbox'
            name='settingRules.hardChoices'
            data-dtype='Boolean'
            {{checked settingRules.hardChoices}}
          />
        </div>
        <p class='notes'>{{localize 'SWADE.Settings.HardChoices.Hint'}}</p>
      </div>
      <!-- Dumb Luck -->
      <div class='form-group'>
        <label for='dumbLuck'>
          {{localize 'SWADE.Settings.DumbLuck.Name'}}
        </label>
        <div class='form-fields'>
          <input
            id='dumbLuck'
            type='checkbox'
            name='settingRules.dumbLuck'
            data-dtype='Boolean'
            {{checked settingRules.dumbLuck}}
          />
        </div>
        <p class='notes'>{{localize 'SWADE.Settings.DumbLuck.Hint'}}</p>
      </div>
      <!-- Wound Cap -->
      <div class='form-group'>
        <label for='woundCap'>
          {{localize 'SWADE.Settings.WoundCap.Name'}}
        </label>
        <div class='form-fields'>
          <input
            id='woundCap'
            type='checkbox'
            name='settingRules.woundCap'
            data-dtype='Boolean'
            {{checked settingRules.woundCap}}
          />
        </div>
        <p class='notes'>{{localize 'SWADE.Settings.WoundCap.Hint'}}</p>
      </div>
      <!-- Unarmored Hero -->
      <div class='form-group'>
        <label for='unarmoredHero'>
          {{localize 'SWADE.Settings.UnarmoredHero.Name'}}
        </label>
        <div class='form-fields'>
          <input
            id='unarmoredHero'
            type='checkbox'
            name='settingRules.unarmoredHero'
            data-dtype='Boolean'
            {{checked settingRules.unarmoredHero}}
          />
        </div>
        <p class='notes'>{{localize 'SWADE.Settings.UnarmoredHero.Hint'}}</p>
      </div>
      <!-- Gritty Damage -->
      <div class='form-group'>
        <label for='grittyDamage'>
          {{localize 'SWADE.Settings.GrittyDamage.Name'}}
        </label>
        <div class='form-fields'>
          <input
            id='grittyDamage'
            type='checkbox'
            name='settingRules.grittyDamage'
            data-dtype='Boolean'
            {{checked settingRules.grittyDamage}}
          />
        </div>
        <p class='notes'>{{localize 'SWADE.Settings.GrittyDamage.Hint'}}</p>
      </div>
      <div class='form-group'>
        <label for='injuryTable'>
          {{localize 'SWADE.Settings.InjuryTable.Name'}}
        </label>
        <div class='form-fields'>
          <select id='injuryTable' name='settingRules.injuryTable'>
            {{#select settingRules.injuryTable}}
              {{selectOptions injuryTableChoices}}
            {{/select}}
          </select>
        </div>
        <p class='notes'>{{localize 'SWADE.Settings.InjuryTable.Hint'}}</p>
      </div>
      <!-- Heroes Never Die -->
      <div class='form-group'>
        <label for='heroesNeverDie'>
          {{localize 'SWADE.Settings.HeroesNeverDie.Name'}}
        </label>
        <div class='form-fields'>
          <input
            id='heroesNeverDie'
            type='checkbox'
            name='settingRules.heroesNeverDie'
            data-dtype='Boolean'
            {{checked settingRules.heroesNeverDie}}
          />
        </div>
        <p class='notes'>{{localize 'SWADE.Settings.HeroesNeverDie.Hint'}}</p>
      </div>
      <!-- Conviction -->
      <div class='form-group'>
        <label for='enableConviction'>
          {{localize 'SWADE.Settings.EnableConv.Name'}}
        </label>
        <div class='form-fields'>
          <input
            id='enableConviction'
            type='checkbox'
            name='settingRules.enableConviction'
            data-dtype='Boolean'
            {{checked settingRules.enableConviction}}
          />
        </div>
        <p class='notes'>{{localize 'SWADE.Settings.EnableConv.Hint'}}</p>
      </div>
      <!-- Joker's Wild -->
      <div class='form-group'>
        <label for='jokersWild'>
          {{localize 'SWADE.Settings.JokersWild.Name'}}
        </label>
        <div class='form-fields'>
          <input
            id='jokersWild'
            type='checkbox'
            name='settingRules.jokersWild'
            data-dtype='Boolean'
            {{checked settingRules.jokersWild}}
          />
        </div>
        <p class='notes'>{{localize 'SWADE.Settings.JokersWild.Hint'}}</p>
      </div>
      <!-- No Power Points -->
      <div class='form-group'>
        <label for='noPowerPoints'>
          {{localize 'SWADE.Settings.NoPowerPoints.Name'}}
        </label>
        <div class='form-fields'>
          <input
            id='noPowerPoints'
            type='checkbox'
            name='settingRules.noPowerPoints'
            data-dtype='Boolean'
            {{checked settingRules.noPowerPoints}}
          />
        </div>
        <p class='notes'>{{localize 'SWADE.Settings.NoPowerPoints.Hint'}}</p>
      </div>
      <!-- Always General Power Points -->
      <div class='form-group'>
        <label for='alwaysGeneralPP'>
          {{localize 'SWADE.Settings.AlwaysGeneralPP.Name'}}
        </label>
        <div class='form-fields'>
          <input
            id='alwaysGeneralPP'
            type='checkbox'
            name='settingRules.alwaysGeneralPP'
            data-dtype='Boolean'
            {{checked settingRules.alwaysGeneralPP}}
          />
        </div>
        <p class='notes'>{{localize 'SWADE.Settings.AlwaysGeneralPP.Hint'}}</p>
      </div>
      <!-- Encumbrance -->
      <div class='form-group'>
        <label for='applyEncumbrance'>
          {{localize 'SWADE.Settings.ApplyEncumbrance.Name'}}
        </label>
        <div class='form-fields'>
          <input
            id='applyEncumbrance'
            type='checkbox'
            name='settingRules.applyEncumbrance'
            data-dtype='Boolean'
            {{checked settingRules.applyEncumbrance}}
          />
        </div>
        <p class='notes'>
          {{localize
            'SWADE.Settings.ApplyEncumbrance.Hint'
            vigor=(localize 'SWADE.AttrVig')
            fatigue=(localize 'SWADE.Fatigue')
          }}
        </p>
      </div>
      <!-- Core Skills -->
      <fieldset id='core-skills'>
        <legend>{{localize 'SWADE.CoreSkills'}}</legend>
        <div class='form-group'>
          <label for='coreSkills'>
            {{localize 'SWADE.Settings.CoreSkillsList.Name'}}
          </label>
          <div class='form-fields'>
            <textarea
              id='coreSkills'
              style='resize: none;'
              name='settingRules.coreSkills'
              data-dtype='String'
              placeholder='Example: Athletics, Common Knowledge, Notice, Persuasion, Stealth'
            >{{settingRules.coreSkills}}</textarea>
          </div>
          <p class='notes'>{{localize 'SWADE.Settings.CoreSkillsList.Hint'}}</p>
        </div>
        <div class='form-group'>
          <label for='coreSkillsCompendium'>
            {{localize 'SWADE.Settings.CoreSkillsPack.Name'}}
          </label>
          <div class='form-fields'>
            <select
              id='coreSkillsCompendium'
              name='settingRules.coreSkillsCompendium'
            >
              {{#select settingRules.coreSkillsCompendium}}
                {{selectOptions coreSkillPackChoices}}
              {{/select}}
            </select>
          </div>
          <p class='notes'>{{localize 'SWADE.Settings.CoreSkillsPack.Hint'}}</p>
        </div>
      </fieldset>
      <!-- Wealth -->
      <fieldset id='wealth'>
        <legend>{{localize 'SWADE.Wealth'}}</legend>
        <div class='form-group'>
          <label for='wealthType'>
            {{localize 'SWADE.Settings.WealthType.Name'}}
          </label>
          <div class='form-fields'>
            <select id='wealthType' name='settingRules.wealthType'>
              {{#select settingRules.wealthType}}
                <option value='currency'>{{localize 'SWADE.Currency'}}</option>
                <option value='wealthDie'>
                  {{localize 'SWADE.WealthDie.Label'}}
                </option>
                <option value='none'>
                  {{localize 'SWADE.WealthSelectionNoneOther'}}
                </option>
              {{/select}}
            </select>
          </div>
          <p class='notes'>{{localize 'SWADE.Settings.WealthType.Hint'}}</p>
        </div>
        {{#unless (eq settingRules.wealthType 'none')}}
          <div class='form-group'>
            <label for='npcsUseCurrency'>
              {{localize 'SWADE.Settings.NPCCurrency.Name'}}
            </label>
            <div class='form-fields'>
              <input
                id='npcsUseCurrency'
                type='checkbox'
                name='settingRules.npcsUseCurrency'
                data-dtype='Boolean'
                {{checked settingRules.npcsUseCurrency}}
              />
            </div>
            <p class='notes'>{{localize 'SWADE.Settings.NPCCurrency.Hint'}}</p>
          </div>
        {{/unless}}
        {{#if (eq settingRules.wealthType 'currency')}}
          <div class='form-group'>
            <label for='currencyName'>
              {{localize 'SWADE.Settings.CurrencyName.Name'}}
            </label>
            <div class='form-fields'>
              <input
                id='currencyName'
                type='text'
                name='settingRules.currencyName'
                value='{{settingRules.currencyName}}'
              />
            </div>
            <p class='notes'>{{localize 'SWADE.Settings.CurrencyName.Hint'}}</p>
          </div>
          <div class='form-group'>
            <label for='pcStartingCurrency'>
              {{localize 'SWADE.Settings.StartingCurrency.PC.Name'}}
            </label>
            <div class='form-fields'>
              <input
                id='pcStartingCurrency'
                type='text'
                name='settingRules.pcStartingCurrency'
                value='{{settingRules.pcStartingCurrency}}'
              />
            </div>
            <p class='notes'>
              {{localize 'SWADE.Settings.StartingCurrency.PC.Hint'}}
            </p>
          </div>
          <div class='form-group'>
            <label for='npcStartingCurrency'>
              {{localize 'SWADE.Settings.StartingCurrency.NPC.Name'}}
            </label>
            <div class='form-fields'>
              <input
                id='npcStartingCurrency'
                type='text'
                name='settingRules.npcStartingCurrency'
                value='{{settingRules.npcStartingCurrency}}'
              />
            </div>
            <p class='notes'>
              {{localize 'SWADE.Settings.StartingCurrency.NPC.Hint'}}
            </p>
          </div>
        {{/if}}
      </fieldset>
      <!-- Ammo Management -->
      <fieldset id='ammo'>
        <legend>{{localize 'SWADE.Ammo'}}</legend>
        <div class='form-group'>
          <label for='ammoManagement'>
            {{localize 'SWADE.Settings.AmmoManagement.Name'}}
          </label>
          <div class='form-fields'>
            <input
              id='ammoManagement'
              type='checkbox'
              name='settingRules.ammoManagement'
              data-dtype='Boolean'
              {{checked settingRules.ammoManagement}}
            />
          </div>
          <p class='notes'>{{localize 'SWADE.Settings.AmmoManagement.Hint'}}</p>
        </div>
        {{#if settingRules.ammoManagement}}
          <div class='form-group'>
            <label for='ammoFromInventory'>
              {{localize 'SWADE.Settings.PCAmmoFromInventory.Name'}}
            </label>
            <div class='form-fields'>
              <input
                id='ammoFromInventory'
                type='checkbox'
                name='settingRules.ammoFromInventory'
                data-dtype='Boolean'
                {{checked settingRules.ammoFromInventory}}
              />
            </div>
            <p class='notes'>{{localize
                'SWADE.Settings.PCAmmoFromInventory.Hint'
              }}</p>
          </div>
          <div class='form-group'>
            <label for='npcAmmo'>
              {{localize 'SWADE.Settings.NPCAmmoFromInventory.Name'}}
            </label>
            <div class='form-fields'>
              <input
                id='npcAmmo'
                type='checkbox'
                name='settingRules.npcAmmo'
                data-dtype='Boolean'
                {{checked settingRules.npcAmmo}}
              />
            </div>
          </div>
          <div class='form-group'>
            <label for='vehicleAmmo'>
              {{localize 'SWADE.Settings.VehicleAmmoFromInventory.Name'}}
            </label>
            <div class='form-fields'>
              <input
                id='vehicleAmmo'
                type='checkbox'
                name='settingRules.vehicleAmmo'
                data-dtype='Boolean'
                {{checked settingRules.vehicleAmmo}}
              />
            </div>
          </div>
        {{/if}}
      </fieldset>
    </section>
    <!-- Benny Settings -->
    <section class='tab' data-tab='bennies'>
      <div class='form-group'>
        <label for='gmBennies'>
          {{localize 'SWADE.Settings.GmBennies.Name'}}
        </label>
        <div class='form-fields'>
          <input
            id='gmBennies'
            type='number'
            name='settingRules.gmBennies'
            value='{{settingRules.gmBennies}}'
            data-dtype='Number'
          />
        </div>
        <p class='notes'>{{localize 'SWADE.Settings.GmBennies.Hint'}}</p>
      </div>
      <div class='form-group'>
        <label>
          {{localize 'SWADE.Settings.BennyImageSheet.Name'}}
        </label>
        <div class='form-fields'>
          {{filePicker target='settingRules.bennyImageSheet' type='image'}}
          <input
            type='text'
            name='settingRules.bennyImageSheet'
            value='{{settingRules.bennyImageSheet}}'
            data-dtype='String'
          />
        </div>
        <p class='notes'>{{localize 'SWADE.Settings.BennyImageSheet.Hint'}}</p>
      </div>
      {{#if dice3d}}
        <h3>{{localize 'SWADE.3DBennies'}}</h3>
        <p class='notification info' style='margin: 0 5px 10px 5px;'>
          {{localize 'SWADE.ChangeBennyWarning'}}
        </p>
        <!-- Textures -->
        <fieldset>
          <legend>Textures</legend>
          <div class='form-group'>
            <label>{{localize 'SWADE.Settings.Benny3DFront.Name'}}</label>
            <div class='form-fields'>
              {{filePicker
                target='settingRules.bennyImage3DFront'
                type='image'
              }}
              <input
                type='text'
                name='settingRules.bennyImage3DFront'
                value='{{settingRules.bennyImage3DFront}}'
                data-dtype='String'
              />
            </div>
            <p class='notes'>{{localize 'SWADE.Settings.Benny3DFront.Hint'}}</p>
          </div>
          <div class='form-group'>
            <label>{{localize 'SWADE.Settings.Benny3DBack.Name'}}</label>
            <div class='form-fields'>
              {{filePicker target='settingRules.bennyImage3DBack' type='image'}}
              <input
                type='text'
                name='settingRules.bennyImage3DBack'
                value='{{settingRules.bennyImage3DBack}}'
                data-dtype='String'
              />
            </div>
            <p class='notes'>{{localize 'SWADE.Settings.Benny3DBack.Hint'}}</p>
          </div>
        </fieldset>
        <!-- Bumpmaps -->
        <fieldset>
          <legend>Bumpmaps</legend>
          <div class='form-group'>
            <label>{{localize 'SWADE.Settings.Benny3DFrontBump.Name'}}</label>
            <div class='form-fields'>
              {{filePicker target='settingRules.3dBennyFrontBump' type='image'}}
              <input
                type='text'
                name='settingRules.3dBennyFrontBump'
                value='{{settingRules.3dBennyFrontBump}}'
                data-dtype='String'
              />
            </div>
            <p class='notes'>
              {{localize 'SWADE.Settings.Benny3DFrontBump.Hint'}}
            </p>
          </div>
          <div class='form-group'>
            <label>{{localize 'SWADE.Settings.Benny3DBackBump.Name'}}</label>
            <div class='form-fields'>
              {{filePicker target='settingRules.3dBennyBackBump' type='image'}}
              <input
                type='text'
                name='settingRules.3dBennyBackBump'
                value='{{settingRules.3dBennyBackBump}}'
                data-dtype='String'
              />
            </div>
            <p class='notes'>
              {{localize 'SWADE.Settings.Benny3DBackBump.Hint'}}
            </p>
          </div>
        </fieldset>
      {{/if}}
    </section>
    <!-- Additional Stats -->
    <section class='tab attributes' data-tab='additional-stats'>
      <h2>{{localize 'SWADE.Actors'}}</h2>
      <ul class='stats-container'>
        <li class='attribute attributes-header'>
          <span class='attribute-key'>
            {{localize 'SWADE.AdditionalStats.Key'}}
          </span>
          <span class='attribute-label'>
            {{localize 'SWADE.AdditionalStats.Label'}}
          </span>
          <span class='attribute-dtype'>
            {{localize 'SWADE.AdditionalStats.Type'}}
          </span>
          <span class='attribute-maxValue'>
            {{localize 'SWADE.AdditionalStats.HasMaxValue'}}
          </span>
          <a class='attribute-control' data-action='createChar'>
            <i class='fas fa-plus'></i>
          </a>
        </li>
        {{#each actorSettingStats as |attr key|}}
          <li class='attribute' data-attribute='{{key}}'>
            <input
              class='attribute-key'
              type='text'
              name='actorSettingStats.{{key}}.key'
              value='{{key}}'
            />
            <input
              class='attribute-label'
              type='text'
              name='actorSettingStats.{{key}}.label'
              value='{{attr.label}}'
            />
            <select
              class='attribute-dtype'
              name='actorSettingStats.{{key}}.dtype'
            >
              {{selectOptions @root.dtypes selected=attr.dtype localize=true}}
            </select>
            {{#if (or (eq attr.dtype 'String') (eq attr.dtype 'Number'))}}
              <input
                class='attribute-maxValue'
                type='checkbox'
                name='actorSettingStats.{{key}}.hasMaxValue'
                {{checked attr.hasMaxValue}}
              />
            {{/if}}
            <a class='attribute-control' data-action='delete'>
              <i class='fas fa-trash'></i>
            </a>
            {{#if (eq attr.dtype 'Selection')}}
              <input
                hint='{{localize "SWADE.AdditionalStats.SelectHint"}}'
                placeholder='{{localize "SWADE.AdditionalStats.SelectHint"}}'
                class='attribute-optionString'
                type='text'
                name='actorSettingStats.{{key}}.optionString'
                value='{{attr.optionString}}'
              />
            {{/if}}
          </li>
        {{/each}}
      </ul>
      <h2>{{localize 'SWADE.Items'}}</h2>
      <ul class='stats-container'>
        <li class='attribute attributes-header'>
          <span class='attribute-key'>
            {{localize 'SWADE.AdditionalStats.Key'}}
          </span>
          <span class='attribute-label'>
            {{localize 'SWADE.AdditionalStats.Label'}}
          </span>
          <span class='attribute-dtype'>
            {{localize 'SWADE.AdditionalStats.Type'}}
          </span>
          <span class='attribute-maxValue'>
            {{localize 'SWADE.AdditionalStats.HasMaxValue'}}
          </span>
          <a class='attribute-control' data-action='createItem'>
            <i class='fas fa-plus'></i>
          </a>
        </li>
        {{#each itemSettingStats as |attr key|}}
          <li class='attribute' data-attribute='{{key}}'>
            <input
              class='attribute-key'
              type='text'
              name='itemSettingStats.{{key}}.key'
              value='{{key}}'
            />
            <input
              class='attribute-label'
              type='text'
              name='itemSettingStats.{{key}}.label'
              value='{{attr.label}}'
            />
            <select
              class='attribute-dtype'
              name='itemSettingStats.{{key}}.dtype'
            >
              {{selectOptions @root.dtypes selected=attr.dtype localize=true}}
            </select>
            {{#if (or (eq attr.dtype 'String') (eq attr.dtype 'Number'))}}
              <input
                class='attribute-maxValue'
                type='checkbox'
                name='itemSettingStats.{{key}}.hasMaxValue'
                {{checked attr.hasMaxValue}}
              />
            {{/if}}
            <a class='attribute-control' data-action='delete'>
              <i class='fas fa-trash'></i>
            </a>
            {{#if (eq attr.dtype 'Selection')}}
              <input
                hint='{{localize "SWADE.AdditionalStats.SelectHint"}}'
                placeholder='{{localize "SWADE.AdditionalStats.SelectHint"}}'
                class='attribute-optionString'
                type='text'
                name='itemSettingStats.{{key}}.optionString'
                value='{{attr.optionString}}'
              />
            {{/if}}
          </li>
        {{/each}}
      </ul>
    </section>
  </section>
  <footer class='sheet-footer flexrow'>
    <button type='submit' name='submit' id='submit'>
      <i class='far fa-save'></i>{{localize 'SETTINGS.Save'}}
    </button>
    <button type='reset' name='reset' id='reset'>
      <i class='fas fa-undo'></i>{{localize 'SETTINGS.Reset'}}
    </button>
  </footer>
</form>